aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJohn P. Davis <zhen@gentoo.org>2004-06-04 14:03:46 +0000
committerJohn P. Davis <zhen@gentoo.org>2004-06-04 14:03:46 +0000
commitbe78502dd2fb70978e36076ec5225456cd626ecf (patch)
treeff06e2482da3c01aa0b289da15f96085c1a22b0a /targets/grp
parentsee changelog (diff)
downloadcatalyst-be78502dd2fb70978e36076ec5225456cd626ecf.tar.gz
catalyst-be78502dd2fb70978e36076ec5225456cd626ecf.tar.bz2
catalyst-be78502dd2fb70978e36076ec5225456cd626ecf.zip
distcc fixups
git-svn-id: svn+ssh://svn.gentoo.org/var/svnroot/catalyst/trunk@386 d1e1f19c-881f-0410-ab34-b69fee027534
Diffstat (limited to 'targets/grp')
-rwxr-xr-xtargets/grp/grp-chroot.sh12
-rwxr-xr-xtargets/grp/grp-preclean-chroot.sh8
-rwxr-xr-xtargets/grp/grp.sh9
3 files changed, 7 insertions, 22 deletions
diff --git a/targets/grp/grp-chroot.sh b/targets/grp/grp-chroot.sh
index b6e51d79..6dccf316 100755
--- a/targets/grp/grp-chroot.sh
+++ b/targets/grp/grp-chroot.sh
@@ -1,7 +1,7 @@
#!/bin/bash
# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo/src/catalyst/targets/grp/grp-chroot.sh,v 1.2 2004/04/14 14:27:38 zhen Exp $
+# $Header: /var/cvsroot/gentoo/src/catalyst/targets/grp/grp-chroot.sh,v 1.3 2004/06/04 14:03:46 zhen Exp $
/usr/sbin/env-update
source /etc/profile
@@ -24,7 +24,6 @@ then
export DISTCC_HOSTS="${clst_distcc_hosts}"
USE="-gnome -gtk" emerge --oneshot --nodeps distcc || exit 1
- echo "distcc:x:7980:2:distccd:/dev/null:/bin/false" >> /etc/passwd
/usr/bin/distcc-config --install 2>&1 > /dev/null
/usr/bin/distccd 2>&1 > /dev/null
fi
@@ -48,16 +47,7 @@ else
unset DISTDIR
#don't grab MS core fonts, etc.
export USE="${USE} bindist"
- #first grab to the normal distdir
- ## why don't we just set distdir first and fetch once???
DISTDIR="/tmp/grp/${clst_grp_target}" emerge --fetchonly ${clst_grp_packages} || exit 1
- #export DISTDIR="/tmp/grp/${clst_grp_target}"
- #export OLD_MIRRORS="${GENTOO_MIRRORS}"
- #export GENTOO_MIRRORS="/usr/portage/distfiles"
- #now grab them again, but with /usr/portage/distfiles as the primary mirror (local grab)
- #emerge --fetchonly ${clst_grp_packages} || exit 1
- #restore original GENTOO_MIRRORS setting, if any
- #export GENTOO_MIRRORS="${OLD_MIRRORS}"
unset PKGDIR
fi
diff --git a/targets/grp/grp-preclean-chroot.sh b/targets/grp/grp-preclean-chroot.sh
index 48943530..e14982d1 100755
--- a/targets/grp/grp-preclean-chroot.sh
+++ b/targets/grp/grp-preclean-chroot.sh
@@ -1,13 +1,7 @@
#!/bin/bash
# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo/src/catalyst/targets/grp/grp-preclean-chroot.sh,v 1.2 2004/04/14 14:27:38 zhen Exp $
+# $Header: /var/cvsroot/gentoo/src/catalyst/targets/grp/grp-preclean-chroot.sh,v 1.3 2004/06/04 14:03:46 zhen Exp $
/usr/sbin/env-update
source /etc/profile
-
-if [ -n "${clst_DISTCC}" ]
-then
- pkill -signal 9 -U 7980
- userdel distcc || exit 1
-fi
diff --git a/targets/grp/grp.sh b/targets/grp/grp.sh
index 521dcd9f..16da68f2 100755
--- a/targets/grp/grp.sh
+++ b/targets/grp/grp.sh
@@ -1,7 +1,7 @@
#!/bin/bash
# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo/src/catalyst/targets/grp/Attic/grp.sh,v 1.16 2004/04/14 22:35:29 zhen Exp $
+# $Header: /var/cvsroot/gentoo/src/catalyst/targets/grp/Attic/grp.sh,v 1.17 2004/06/04 14:03:46 zhen Exp $
case $1 in
enter)
@@ -20,9 +20,10 @@ case $1 in
;;
preclean)
- cp ${clst_sharedir}/targets/grp/grp-preclean-chroot.sh ${clst_chroot_path}/tmp
- ${clst_CHROOT} ${clst_chroot_path} /tmp/grp-preclean-chroot.sh || exit 1
- rm -f ${clst_chroot_path}/tmp/grp-preclean-chroot.sh
+ #cp ${clst_sharedir}/targets/grp/grp-preclean-chroot.sh ${clst_chroot_path}/tmp
+ #${clst_CHROOT} ${clst_chroot_path} /tmp/grp-preclean-chroot.sh || exit 1
+ #rm -f ${clst_chroot_path}/tmp/grp-preclean-chroot.sh
+ exit 0
;;
clean)